%global owner michaeljones
%global srcname breathe

Name:           python-%{srcname}
Version:        4.25.1
Release:        %mkrel 2
Summary:        Adds support for Doxygen xml output to reStructuredText and Sphinx
Group:          Development/Python
License:        BSD
URL:            https://github.com/michaeljones/breathe
Source0:        %{URL}/archive/v%{version}.tar.gz
Patch1:         0001-Adapt-friendclass-to-Doxygen-1.9.patch

BuildArch:      noarch

BuildRequires:  doxygen >= 1.8.4
BuildRequires:  python-srpm-macros
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
BuildRequires:  python3-six >= 1.9
BuildRequires:  python3-sphinx >= 2.0
BuildRequires:  python3-docutils >= 0.12
BuildRequires:  python3-pytest
# NOTE: git is only needed because part of the build process checks if it's in
# a git repo
BuildRequires:  git

# Set the name of the documentation directory
%global _docdir_fmt %{name}

%description
Breathe is an extension to reStructuredText and Sphinx to be able to read and
render the Doxygen xml output.

%package -n     python3-%{srcname}
Summary:        Adds support for Doxygen xml output to reStructuredText and Sphinx
Group:          Development/Python
Requires:       python3-six
Requires:       doxygen >= 1.8.4
%{?python_provide:%python_provide python3-%{srcname}}

%description -n python3-%{srcname}
Breathe is an extension to reStructuredText and Sphinx to be able to read and
render the Doxygen xml output.

%package        doc
Summary:        Documentation files for %{srcname}
Group:          Documentation
# tinyxml uses zlib license
License:        BSD and zlib

%description    doc
This package contains documentation for developer documentation for %{srcname}.

%prep
%autosetup -n %{srcname}-%{version} -p1

%build
%py3_build

# Build the documentation
make %{?_smp_mflags} DOXYGEN=$(which doxygen) html
# Remove temporary build files
rm documentation/build/html/.buildinfo

%install
%py3_install

%check
#make dev-test

%files -n python3-%{srcname}
%doc README.rst
%{_bindir}/breathe-apidoc
%{python3_sitelib}/*
%license LICENSE
%doc documentation/build/html
%license LICENSE


%changelog
* Fri Jan 08 2021 daviddavid <daviddavid> 4.25.1-2.mga8
+ Revision: 1669775
- add upstream patch to adapt friendclass to Doxygen 1.9

* Fri Dec 18 2020 joequant <joequant> 4.25.1-1.mga8
+ Revision: 1660780
- update to 4.25.1

* Wed Nov 11 2020 joequant <joequant> 4.23.0-2.mga8
+ Revision: 1644730
- disable regression tests

* Tue Nov 03 2020 joequant <joequant> 4.23.0-1.mga8
+ Revision: 1641888
- update to 4.23.0

* Wed Apr 22 2020 joequant <joequant> 4.16.0-1.mga8
+ Revision: 1571112
- fix deps
- add srpm macros
- imported package python-breathe

